Package com.germinus.easyconf

# Class ConfigurationObjectCache

java.lang.Object
com.germinus.easyconf.ConfigurationObjectCache

public class ConfigurationObjectCache extends Object
Holds a configuration object and reloads it when necessary

Version:
  $Revision: 1.4 $
Author:
  Jorge Ferrer

## Field Summary

Fields
Modifier and Type
Field
Description
`private URL`
`confFileUrl`
`(package private) Object`
`configurationObject`
`private String`
`confName`
`(package private) ConfigurationLoader`
`loader`
`private static final Log`
`log`
`private ComponentProperties`
`properties`
`(package private) ReloadingStrategy`
`reloadingStrategy`
`(package private) Object`
`reloadLock`

## Constructor Summary

Constructors
Constructor
Description
`ConfigurationObjectCache(Object confObj, URL confFileUrl, ComponentProperties properties, String confName)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`getConfigurationObject()`
`String`
`getConfName()`
`private ReloadingStrategy`
`getReloadingStrategy()`
`private void`
`reload()`
`void`
`setReloadingStrategy(ReloadingStrategy strategy)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### configurationObject

Object configurationObject

### reloadingStrategy

ReloadingStrategy reloadingStrategy

### reloadLock

Object reloadLock

### loader

ConfigurationLoader loader

### log

private static final Log log

### confFileUrl

private URL confFileUrl

### properties

private ComponentProperties properties

### confName

private String confName

## Constructor Details

### ConfigurationObjectCache

public ConfigurationObjectCache(Object confObj, URL confFileUrl, ComponentProperties properties, String confName)

## Method Details

### getConfigurationObject

public Object getConfigurationObject()

### getConfName

public String getConfName()

### reload

private void reload()

### getReloadingStrategy

private ReloadingStrategy getReloadingStrategy()

### setReloadingStrategy

public void setReloadingStrategy(ReloadingStrategy strategy)